Package weka.classifiers.functions.explicitboundaries

# Class DecisionBoundaryPlane

java.lang.Object
weka.classifiers.functions.explicitboundaries.DecisionBoundary
weka.classifiers.functions.explicitboundaries.DecisionBoundaryPlane

All Implemented Interfaces:
  `Serializable`, `IDecisionBoundary`, `weka.core.Debuggable`

public class DecisionBoundaryPlane extends DecisionBoundary implements weka.core.Debuggable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionBoundaryPlane(weka.core.Instances data, int class1Idx, int class2Idx)`
  `DecisionBoundaryPlane(weka.core.Instances data, int class1Idx, int class2Idx, Plane plane)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `classify(weka.core.Instance instance)`
  Classify instance
  `Plane`
  `getDecisionPlane()`
  `double`
  `getDistance(weka.core.Instance instance)`
  Returns the smallest distance between the surface of the decision boundary and the instance
  `int`
  `getIndex(weka.core.Instance instance)`
  Give the class index for the instance
  `double`
  `getValue(weka.core.Instance instance)`
  Get value of the characteristic function of the decision boundary
  `boolean`
  `isDebug()`
  `void`
  `setDebug(boolean debug)`
  `String`
  `toString()`

  ### Methods inherited from class weka.classifiers.functions.explicitboundaries.DecisionBoundary

  `getClass1Idx, getClass2Idx, getDatasetHeader`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DecisionBoundaryPlane

    public DecisionBoundaryPlane(weka.core.Instances data, int class1Idx, int class2Idx, Plane plane) throws Exception
    Throws:
      `Exception`

  - ### DecisionBoundaryPlane

    public DecisionBoundaryPlane(weka.core.Instances data, int class1Idx, int class2Idx) throws Exception
    Throws:
      `Exception`

- ## Method Details

  - ### getIndex

    public int getIndex(weka.core.Instance instance) throws Exception
    Description copied from interface: `IDecisionBoundary`
    Give the class index for the instance
    Specified by:
      `getIndex` in interface `IDecisionBoundary`
    Throws:
      `Exception`

  - ### getDecisionPlane

    public Plane getDecisionPlane()
    Returns:
      the decisionPlane

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `DecisionBoundary`

  - ### classify

    public double classify(weka.core.Instance instance) throws Exception
    Description copied from interface: `IDecisionBoundary`
    Classify instance
    Specified by:
      `classify` in interface `IDecisionBoundary`
    Returns:
    Throws:
      `Exception`

  - ### getValue

    public double getValue(weka.core.Instance instance) throws Exception
    Description copied from interface: `IDecisionBoundary`
    Get value of the characteristic function of the decision boundary
    Specified by:
      `getValue` in interface `IDecisionBoundary`
    Returns:
    Throws:
      `Exception`

  - ### getDistance

    public double getDistance(weka.core.Instance instance) throws Exception
    Description copied from interface: `IDecisionBoundary`
    Returns the smallest distance between the surface of the decision boundary and the instance
    Specified by:
      `getDistance` in interface `IDecisionBoundary`
    Returns:
    Throws:
      `Exception`

  - ### isDebug

    public boolean isDebug()
    Specified by:
      `isDebug` in interface `weka.core.Debuggable`
    Returns:
      the debug

  - ### setDebug

    public void setDebug(boolean debug)
    Specified by:
      `setDebug` in interface `weka.core.Debuggable`
    Parameters:
      `debug` - the debug to set